Page MenuHomePhabricator

[mlir][docs] Group the docs for defining dialect components
ClosedPublic

Authored by rriddle on Nov 7 2022, 3:36 PM.

Details

Summary

This moves the documentation for defining dialects, attributes/types,
and operations into a new DefiningDialects folder. This helps to
keep the documentation grouped together, making it easier to find
related documentation.

Diff Detail

Event Timeline

rriddle created this revision.Nov 7 2022, 3:36 PM
Herald added a project: Restricted Project. · View Herald TranscriptNov 7 2022, 3:36 PM
rriddle requested review of this revision.Nov 7 2022, 3:36 PM
rriddle updated this revision to Diff 473814.Nov 7 2022, 3:36 PM
rriddle retitled this revision from [mlir][docs] Group the docs for dialect dialect components to [mlir][docs] Group the docs for defining dialect components.
jpienaar accepted this revision.Nov 18 2022, 12:34 PM

Makes sense to me, thanks!

This revision is now accepted and ready to land.Nov 18 2022, 12:34 PM
mehdi_amini accepted this revision.Nov 18 2022, 6:13 PM

You may need to check the website repo for references to update

This revision was landed with ongoing or failed builds.Dec 2 2022, 1:38 PM
This revision was automatically updated to reflect the committed changes.